summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2010-02-10 16:45:53 +0000
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2010-02-10 16:45:53 +0000
commitedcc237b4b244f9b88a826e44a85a132797d32ba (patch)
tree8807e24f7cab616662779b9b7c8b1ff4a319e4bc /autogen.sh
parent87cd3cfc4f8c4b27756aaecc076c0d4e3365c27d (diff)
Add an autogen.sh (from telepathy-glib, minus gtkdocize)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..5b32d48
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+set -e
+
+if test -n "$AUTOMAKE"; then
+ : # don't override an explicit user request
+elif automake-1.11 --version >/dev/null 2>/dev/null && \
+ aclocal-1.11 --version >/dev/null 2>/dev/null; then
+ # If we have automake-1.11, use it. This is the oldest version (=> least
+ # likely to introduce undeclared dependencies) that will give us
+ # --enable-silent-rules support.
+ AUTOMAKE=automake-1.11
+ export AUTOMAKE
+ ACLOCAL=aclocal-1.11
+ export ACLOCAL
+fi
+
+autoreconf -i -f
+
+run_configure=true
+for arg in $*; do
+ case $arg in
+ --no-configure)
+ run_configure=false
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test $run_configure = true; then
+ ./configure "$@"
+fi